# -*- coding: utf-8 -*-
from setuphelpers import *

"""
This package checks the installed version of Internet Explorer.
If it is more recent, the installation ends.
"""


def install():
    # Declaring local variables
    bin_name = glob.glob("IE11*.exe")[0]
    package_version = control.get_software_version()
    ie_key_values = reg_openkey_noredir(HKEY_LOCAL_MACHINE, "Software\Microsoft\Internet Explorer")
    ie_installed_version = Version(reg_getvalue(ie_key_values, "svcVersion"))

    if ie_installed_version > package_version:
        print("More recent version of Internet Explorer is installed on your computer")
        return "OK"

    # Installing the package
    install_exe_if_needed(
        bin_name,
        silentflags="/quiet /no-default /norestart",
    )
